## lsp-plugins 1.1.31

=== Makefile ===
# Command-line flag to silence nested $(MAKE).
MAKE_OPTS              += VERBOSE=$(VERBOSE)
ifneq ($(VERBOSE),1)
.SILENT:
endif

# Common definitions
RELEASE_TEXT            = LICENSE.txt README.txt CHANGELOG.txt
RELEASE_SRC             = $(RELEASE_TEXT) src build-*.sh include res Makefile release.sh
RELEASE_SCRIPTS         = scripts/bash scripts/make
INSTALL                 = install
export RELEASE_TEXT

# Estimate different pre-requisites before launching build
include scripts/make/set_vars.mk
include scripts/make/tools.mk
include scripts/make/version.mk
include scripts/make/configure.mk

# Build directories
export ROOTDIR          = ${CURDIR}
export SRCDIR           = ${CURDIR}/src
export RESDIR           = ${CURDIR}/res
export RELEASE          = ${CURDIR}/.release
export RELEASE_BIN      = $(RELEASE)/$(BUILD_SYSTEM)-$(BUILD_PROFILE)
export BUILDDIR         = ${CURDIR}/.build
export TESTDIR          = ${CURDIR}/.test
OBJDIR                  = $(BUILDDIR)

# Installation locations
BIN_PATH               ?= $(PREFIX)/bin
LIB_PATH               ?= $(PREFIX)/lib
SHARE_PATH             ?= $(PREFIX)/share
ETC_PATH               ?= /etc
DOC_PATH               ?= $(SHARE_PATH)/doc
LADSPA_PATH             = $(LIB_PATH)/ladspa
LV2_PATH                = $(LIB_PATH)/lv2
VST_PATH                = $(LIB_PATH)/vst

# Location
export BASEDIR          = ${CURDIR}

# Objects
export OBJ_CORE         = $(OBJDIR)/core.o
export OBJ_DSP          = $(OBJDIR)/dsp.o
export OBJ_CTL_CORE     = $(OBJDIR)/ctl_core.o
export OBJ_TK_CORE      = $(OBJDIR)/tk_core.o
export OBJ_WS_CORE      = $(OBJDIR)/ws_core.o
export OBJ_WS_X11_CORE  = $(OBJDIR)/ws_x11_core.o
export OBJ_UI_CORE      = $(OBJDIR)/ui_core.o
export OBJ_RES_CORE     = $(OBJDIR)/res_core.o
export OBJ_TEST_CORE    = $(OBJDIR)/test_core.o
export OBJ_TESTING_CORE = $(OBJDIR)/testing_core.o
export OBJ_PLUGINS      = $(OBJDIR)/plugins.o
export OBJ_PLUGIN_UIS	= $(OBJDIR)/plugin_uis.o
export OBJ_METADATA     = $(OBJDIR)/metadata.o
export OBJ_FILES        = $(OBJ_CORE) $(OBJ_UI_CORE) $(OBJ_RES_CORE) $(OBJ_PLUGINS) $(OBJ_METADATA)

# Libraries
export LIB_LADSPA       = $(OBJDIR)/$(ARTIFACT_ID)-ladspa.so
export LIB_LV2          = $(OBJDIR)/$(ARTIFACT_ID)-lv2.so
export LIB_VST          = $(OBJDIR)/$(ARTIFACT_ID)-vst-core-$(LSP_VERSION).so
export LIB_JACK         = $(OBJDIR)/$(ARTIFACT_ID)-jack-core-$(LSP_VERSION).so
export LIB_R3D_GLX      = $(OBJDIR)/$(R3D_ARTIFACT_ID)-glx.so

# Binaries
export BIN_PROFILE      = $(OBJDIR)/$(ARTIFACT_ID)-profile
export BIN_TEST         = $(OBJDIR)/$(ARTIFACT_ID)-test

# Utils
export UTL_GENTTL       = $(OBJDIR)/lv2_genttl.exe
export UTL_VSTMAKE      = $(OBJDIR)/vst_genmake.exe
export UTL_JACKMAKE     = $(OBJDIR)/jack_genmake.exe
export UTL_GENPHP       = $(OBJDIR)/gen_php.exe
export UTL_RESGEN       = $(OBJDIR)/gen_resources.exe
export UTL_FILES        = $(UTL_GENTTL) $(UTL_VSTMAKE) $(UTL_GENPHP) $(UTL_RESGEN)

# Files
export PHP_PLUGINS      = $(OBJDIR)/plugins.php

FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)
FILES                   =

LADSPA_ID              := $(ARTIFACT_ID)-ladspa-$(LSP_VERSION)
LV2_ID                 := $(ARTIFACT_ID)-lv2-$(LSP_VERSION)
VST_ID                 := $(ARTIFACT_ID)-lxvst-$(LSP_VERSION)
JACK_ID                := $(ARTIFACT_ID)-jack-$(LSP_VERSION)
PROFILE_ID             := $(ARTIFACT_ID)-profile-$(LSP_VERSION)
SRC_ID                 := $(ARTIFACT_ID)-src-$(LSP_VERSION)
DOC_ID                 := $(ARTIFACT_ID)-doc-$(LSP_VERSION)

.DEFAULT_GOAL          := all
.PHONY: all experimental trace debug tracefile debugfile profile gdb test testdebug testprofile compile test_compile
.PHONY: compile_info
.PHONY: install install_ladspa install_lv2 install_vst install_jack install_doc install_xdg
.PHONY: uninstall uninstall_ladspa uninstall_lv2 uninstall_vst uninstall_jack uninstall_doc uninstall_xdg
.PHONY: release release_ladspa release_lv2 release_vst release_jack release_doc release_src
.PHONY: build_ladspa build_lv2 build_vst build_jack build_doc

default: all

all: export CFLAGS          += -O2 -DLSP_NO_EXPERIMENTAL
all: export CXXFLAGS        += -O2 -DLSP_NO_EXPERIMENTAL
all: export EXE_FLAGS       += -pie -fPIE
all: compile

experimental: export CFLAGS += -O2
experimental: export CXXFLAGS += -O2
experimental: compile

trace: export CFLAGS        += -O2 -DLSP_TRACE -g3 -fstack-protector
trace: export CXXFLAGS      += -O2 -DLSP_TRACE -g3 -fstack-protector
trace: export EXE_FLAGS     += -g3
trace: compile

test: OBJDIR                 = $(TESTDIR)
test: export CFLAGS         += -O2 -DLSP_TESTING -DLSP_TRACE -g3 -fstack-protector
test: export CXXFLAGS       += -O2 -DLSP_TESTING -DLSP_TRACE -g3 -fstack-protector
test: export EXE_TEST_FLAGS += -g3
test: export MAKE_OPTS      += LSP_TESTING=1
test: export BUILD_MODULES   = jack
test: test_compile

testdebug: OBJDIR                 = $(TESTDIR)
testdebug: export CFLAGS         += -O0 -DLSP_TESTING -DLSP_TRACE -g3 -fstack-protector
testdebug: export CXXFLAGS       += -O0 -DLSP_TESTING -DLSP_TRACE -g3 -fstack-protector
testdebug: export EXE_TEST_FLAGS += -g3
testdebug: export MAKE_OPTS      += LSP_TESTING=1
testdebug: export BUILD_MODULES   = jack
testdebug: test_compile

testprofile: OBJDIR                 = $(TESTDIR)
testprofile: export CFLAGS         += -g -pg -O2 -DLSP_PROFILING -DLSP_TESTING -DLSP_TRACE -g3 -no-pie -fno-pie -fPIC -fstack-protector
testprofile: export CXXFLAGS       += -g -pg -O2 -DLSP_PROFILING -DLSP_TESTING -DLSP_TRACE -g3 -no-pie -fno-pie -fPIC -fstack-protector
testprofile: export EXE_TEST_FLAGS += -g -pg -O2 -g3 -no-pie -fno-pie -fPIC
testprofile: export MAKE_OPTS      += LSP_TESTING=1
testprofile: compile

tracefile: export CFLAGS    += -DLSP_TRACEFILE
tracefile: export CXXFLAGS  += -DLSP_TRACEFILE
tracefile: trace

debug: export CFLAGS        += -O2 -DLSP_DEBUG
debug: export CXXFLAGS      += -O2 -DLSP_DEBUG
debug: compile

debugfile: export CFLAGS    += -DLSP_TRACEFILE
debugfile: export CXXFLAGS  += -DLSP_TRACEFILE
debugfile: debug

gdb: export CFLAGS          += -O0 -g3 -DLSP_TRACE
gdb: export CXXFLAGS        += -O0 -g3 -DLSP_TRACE
gdb: compile

profile: export CFLAGS      += -g -pg -DLSP_PROFILING -no-pie -fno-pie -fPIC
profile: export CXXFLAGS    += -g -pg -DLSP_PROFILING -no-pie -fno-pie -fPIC
profile: export EXE_FLAGS   += -g -pg -no-pie -fno-pie -fPIC
profile: compile

# Compilation and cleaning targets
compile_info:
	@echo "-------------------------------------------------------------------------------"
	@echo "Building binaries"
	@echo "  target architecture : $(BUILD_PROFILE)"
	@echo "  target platform     : $(BUILD_PLATFORM)"
	@echo "  target system       : $(BUILD_SYSTEM)"
	@echo "  compiler            : $(BUILD_COMPILER)"
	@echo "  modules             : $(BUILD_MODULES)"
	@echo "  UI                  : LV2=$(LV2_UI), VST=$(VST_UI)"
	@echo "  3D rendering        : $(BUILD_R3D_BACKENDS)"
	@echo "  build directory     : $(OBJDIR)"
	@echo "-------------------------------------------------------------------------------"

compile: | compile_info
	mkdir -p $(OBJDIR)/src
	mkdir -p $(CFGDIR)
	test -f "$(CFGDIR)/$(PREFIX_FILE)" || echo -n "$(PREFIX)" > "$(CFGDIR)/$(PREFIX_FILE)"
	test -f "$(CFGDIR)/$(MODULES_FILE)" || echo -n "$(BUILD_MODULES)" > "$(CFGDIR)/$(MODULES_FILE)"
	test -f "$(CFGDIR)/$(BUILD_PROFILE)" || echo -n "$(BUILD_PROFILE)" > "$(CFGDIR)/$(BUILD_PROFILE_FILE)"
	test -f "$(CFGDIR)/$(R3D_BACKENDS_FILE)" || echo -n "$(BUILD_R3D_BACKENDS)" > "$(CFGDIR)/$(R3D_BACKENDS_FILE)"
	$(MAKE) $(MAKE_OPTS) -C src all OBJDIR=$(OBJDIR)/src
	@echo "Build OK"
	
test_compile: | compile_info
	mkdir -p $(OBJDIR)/src
	$(MAKE) $(MAKE_OPTS) -C src all OBJDIR=$(OBJDIR)/src
	@echo "Test Build OK"

clean:
	-rm -rf $(BUILDDIR)
	-rm -rf $(TESTDIR)
	-rm -rf $(CFGDIR)
	@echo "Clean OK"

# Build targets
build_ladspa: export BUILD_MODULES = ladspa
build_ladspa: compile

build_lv2: export BUILD_MODULES = lv2
build_lv2: compile

build_vst: export BUILD_MODULES = vst
build_vst: compile

build_jack: export BUILD_MODULES = jack
build_jack: compile

build_doc: export BUILD_MODULES = doc
build_doc: compile


# Installation targets
install: $(INSTALLATIONS)
	@echo "Install OK"

install_ladspa: all
	@echo "Installing LADSPA plugins to $(DESTDIR)$(LADSPA_PATH)/"
	mkdir -p $(DESTDIR)$(LADSPA_PATH)
	$(INSTALL) $(LIB_LADSPA) $(DESTDIR)$(LADSPA_PATH)/
	
install_lv2: all
	@echo "Installing LV2 plugins to $(DESTDIR)$(LV2_PATH)/$(ARTIFACT_ID).lv2"
	mkdir -p "$(DESTDIR)$(LV2_PATH)/$(ARTIFACT_ID).lv2"
	$(INSTALL) $(LIB_LV2) "$(DESTDIR)$(LV2_PATH)/$(ARTIFACT_ID).lv2/"
	test ! "$(BUILD_R3D_BACKENDS)" || $(INSTALL) $(OBJDIR)/$(R3D_ARTIFACT_ID)*.so $(DESTDIR)$(LV2_PATH)/$(ARTIFACT_ID).lv2/
	$(UTL_GENTTL) "$(DESTDIR)$(LV2_PATH)/$(ARTIFACT_ID).lv2"
	
install_vst: all
	@echo "Installing VST plugins to $(DESTDIR)$(VST_PATH)/$(VST_ID)"
	mkdir -p "$(DESTDIR)$(VST_PATH)/$(VST_ID)"
	$(INSTALL) $(LIB_VST) "$(DESTDIR)$(VST_PATH)/$(VST_ID)/"
	test ! "$(BUILD_R3D_BACKENDS)" || $(INSTALL) $(OBJDIR)/$(R3D_ARTIFACT_ID)*.so $(DESTDIR)$(VST_PATH)/$(VST_ID)/
	$(INSTALL) $(OBJDIR)/src/vst/*.so $(DESTDIR)$(VST_PATH)/$(VST_ID)/

install_jack: all
	@echo "Installing JACK core to $(DESTDIR)$(LIB_PATH)/$(ARTIFACT_ID)"
	mkdir -p "$(DESTDIR)$(LIB_PATH)/$(ARTIFACT_ID)"
	$(INSTALL) $(LIB_JACK) "$(DESTDIR)$(LIB_PATH)/$(ARTIFACT_ID)/"
	test ! "$(BUILD_R3D_BACKENDS)" || $(INSTALL) $(OBJDIR)/$(R3D_ARTIFACT_ID)*.so "$(DESTDIR)$(LIB_PATH)/$(ARTIFACT_ID)/"
	@echo "Installing JACK standalone plugins to $(DESTDIR)$(BIN_PATH)"
	mkdir -p "$(DESTDIR)$(BIN_PATH)"
	$(MAKE) $(MAKE_OPTS) -C $(OBJDIR)/src/jack install TARGET_PATH="$(DESTDIR)$(BIN_PATH)" INSTALL="$(INSTALL)"

install_xdg:
	@echo "Installing desktop icons to $(DESTDIR)$(SHARE_PATH)/applications"
	mkdir -p "$(DESTDIR)$(SHARE_PATH)/applications"
	mkdir -p "$(DESTDIR)$(SHARE_PATH)/desktop-directories"
	mkdir -p "$(DESTDIR)$(ETC_PATH)/xdg/menus/applications-merged"
	mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/scalable/apps"
	mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/16x16/apps"
	mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/22x22/apps"
	mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/24x24/apps"
	mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/32x32/apps"
	mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/48x48/apps"
	mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/64x64/apps"
	mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/128x128/apps"
	mkdir -p "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/256x256/apps"
	cp res/xdg/*.desktop "$(DESTDIR)$(SHARE_PATH)/applications/"
	cp res/xdg/lsp-plugins.directory "$(DESTDIR)$(SHARE_PATH)/desktop-directories/"
	cp res/xdg/lsp-plugins.menu "$(DESTDIR)$(ETC_PATH)/xdg/menus/applications-merged/"
	cp -f res/icons/$(ARTIFACT_ID)-16.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/16x16/apps/$(ARTIFACT_ID).png"
	cp -f res/icons/$(ARTIFACT_ID)-22.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/22x22/apps/$(ARTIFACT_ID).png"
	cp -f res/icons/$(ARTIFACT_ID)-24.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/24x24/apps/$(ARTIFACT_ID).png"
	cp -f res/icons/$(ARTIFACT_ID)-32.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/32x32/apps/$(ARTIFACT_ID).png"
	cp -f res/icons/$(ARTIFACT_ID)-48.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/48x48/apps/$(ARTIFACT_ID).png"
	cp -f res/icons/$(ARTIFACT_ID)-64.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/64x64/apps/$(ARTIFACT_ID).png"
	cp -f res/icons/$(ARTIFACT_ID)-128.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/128x128/apps/$(ARTIFACT_ID).png"
	cp -f res/icons/$(ARTIFACT_ID)-256.png "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/256x256/apps/$(ARTIFACT_ID).png"
	cp -f res/icons/$(ARTIFACT_ID)-exp.svg "$(DESTDIR)$(SHARE_PATH)/icons/hicolor/scalable/apps/$(ARTIFACT_ID).svg"

install_doc: all
	@echo "Installing documentation to $(DESTDIR)$(DOC_PATH)"
	mkdir -p $(DESTDIR)$(DOC_PATH)/$(ARTIFACT_ID)
	cp -r $(OBJDIR)/html/* $(DESTDIR)$(DOC_PATH)/$(ARTIFACT_ID)

# Release targets
dbg_release: export CFLAGS        += -DLSP_TRACE -O2
dbg_release: export CXXFLAGS      += -DLSP_TRACE -O2
dbg_release: $(RELEASES)

=== src/Makefile ===
# Estimate different pre-requisites before launching build

# Command-line flag to silence nested $(MAKE).
MAKE_OPTS              += VERBOSE=$(VERBOSE)
ifneq ($(VERBOSE),1)
.SILENT:
endif

SUBDIRS                 = core metadata utils 
MODULES                 = $(SUBDIRS)
CONTAINER_DEPS          = $(OBJ_METADATA) $(OBJ_CORE) $(UTL_FILES)
UTL_DEPS                = $(OBJ_CORE) $(OBJ_DSP) $(OBJ_METADATA)

NEED_UI                 = 0
NEED_PLUGINS            = 0

RESOURCE_PATHS = \
  $(BASEDIR)/res/ui \
  $(BASEDIR)/res/presets \
  $(BASEDIR)/res/models \
  $(BASEDIR)/res/i18n

ifeq ($(LSP_TESTING),1)
  SUBDIRS                += test testing
  CONTAINER_DEPS         += $(OBJ_TEST_CORE) $(OBJ_TESTING_CORE)
  UTL_DEPS               += $(OBJ_TEST_CORE)
  NEED_UI                 = 1
  NEED_PLUGINS            = 1
endif

ifneq ($(LSP_TESTING),1)
  ifeq ($(findstring ladspa,$(BUILD_MODULES)),ladspa)
    NEED_PLUGINS            = 1
  endif
  ifeq ($(findstring lv2,$(BUILD_MODULES)),lv2)
    ifeq ($(LV2_UI),1)
      NEED_UI                 = 1
    endif
    NEED_PLUGINS            = 1
  endif
  ifeq ($(findstring vst,$(BUILD_MODULES)),vst)
    MODULES                += vst_stub
    ifeq ($(VST_UI),1)
      NEED_UI                 = 1
    endif
    NEED_PLUGINS            = 1
  endif
  ifeq ($(findstring jack,$(BUILD_MODULES)),jack)
    MODULES                += jack_stub
    NEED_UI                 = 1
    NEED_PLUGINS            = 1
  endif
  ifeq ($(findstring doc,$(BUILD_MODULES)),doc)
    SUBDIRS                += doc
    MODULES                += doc
  endif
endif

ifeq ($(NEED_PLUGINS), 1)
  SUBDIRS                += dsp plugins container
  CONTAINER_DEPS         += $(OBJ_DSP) $(OBJ_PLUGINS)
endif
ifeq ($(NEED_UI),1)
  SUBDIRS                += ui rendering
  MODULES                += ui
  CONTAINER_DEPS         += $(OBJ_UI_CORE) $(OBJ_RES_CORE) rendering
endif

.DEFAULT_GOAL          := all
.PHONY: all $(MODULES)

all: $(MODULES)

target: all

# Rules
$(SUBDIRS):
	@echo "Building $(@)"
	mkdir -p $(OBJDIR)/$(@)
	$(MAKE) $(MAKE_OPTS) -C $@ $(MAKECMDGOALS) OBJDIR=$(OBJDIR)/$(@)

# Object dependencies
$(OBJ_CORE): core

$(OBJ_DSP): dsp

$(OBJ_PLUGINS): plugins

$(OBJ_METADATA): metadata

$(OBJ_UI_CORE): ui

$(UTL_FILES): utils

$(UTL_RESGEN): utils

$(UTL_JACKMAKE): utils

$(OBJ_TEST_CORE): test

$(OBJ_TESTING_CORE): test testing rendering

$(OBJ_RES_CORE): $(OBJ_CORE) $(UTL_RESGEN)
	@echo "Generating builtin resources"
	mkdir -p $(OBJDIR)/res
	$(UTL_RESGEN) $(OBJDIR)/res/builtin_resource.cpp $(RESOURCE_PATHS)
	rm -f gmon.out >/dev/null 2>&1
	$(CXX) -o $(OBJ_RES_CORE) -c $(OBJDIR)/res/builtin_resource.cpp -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) 

# Target dependencies
container: $(CONTAINER_DEPS)

utils: $(UTL_DEPS)

doc: utils $(PHP_PLUGINS)

# Additional processing
$(PHP_PLUGINS): $(UTL_GENPHP)
	@echo "Generating PHP file $(notdir $(PHP_PLUGINS))"
	$(UTL_GENPHP) $(PHP_PLUGINS)

vst_stub: $(UTL_VSTMAKE)
	@echo "Building VST stub"
	mkdir -p $(OBJDIR)/vst
	$(UTL_VSTMAKE) $(OBJDIR)/vst
	rm -f gmon.out >/dev/null 2>&1
	$(MAKE) $(MAKE_OPTS) -C $(OBJDIR)/vst all OBJDIR=$(OBJDIR)/vst

jack_stub: $(UTL_JACKMAKE)
	@echo "Building JACK stub"
	mkdir -p $(OBJDIR)/jack
	$(UTL_JACKMAKE) $(OBJDIR)/jack
	rm -f gmon.out >/dev/null 2>&1
	$(MAKE) $(MAKE_OPTS) -C $(OBJDIR)/jack all OBJDIR=$(OBJDIR)/jack

=== src/container/Makefile ===
# Command-line flag to silence nested $(MAKE).
MAKE_OPTS              += VERBOSE=$(VERBOSE)
ifneq ($(VERBOSE),1)
.SILENT:
endif

FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(wildcard *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)
OBJ_HELPERS             = $(OBJDIR)/CairoCanvas.o

# Detemine what modules to build
OBJFILES                = $(OBJ_CORE) $(OBJ_DSP) $(OBJ_METADATA) $(OBJ_PLUGINS)
LIBS                    = $(SNDFILE_LIBS) $(PTHREAD_LIBS) $(MATH_LIBS) $(DL_LIBS)

# Configure set of modules to build
ifeq ($(LSP_TESTING),1)
  OBJFILES               += $(OBJ_TEST_CORE) $(OBJ_TESTING_CORE)
  MODULES                 = $(BIN_TEST)
endif
ifneq ($(LSP_TESTING),1)
  MODULES                 =
  ifeq ($(findstring ladspa,$(BUILD_MODULES)),ladspa)
    MODULES                += $(LIB_LADSPA)
  endif
  ifeq ($(findstring lv2,$(BUILD_MODULES)),lv2)
    MODULES                += $(LIB_LV2)
  endif
  ifeq ($(findstring vst,$(BUILD_MODULES)),vst)
    MODULES                += $(LIB_VST)
  endif
  ifeq ($(findstring jack,$(BUILD_MODULES)),jack)
    MODULES                += $(LIB_JACK)
  endif
  ifeq ($(findstring profile,$(BUILD_MODULES)),profile)
    MODULES                += $(BIN_PROFILE)
  endif
endif

UI_OBJFILES             = $(OBJ_UI_CORE) $(OBJ_RES_CORE)
UI_LIBS                 = $(XLIB_LIBS) $(CAIRO_LIBS)

ifeq ($(BUILD_PLATFORM),BSD)
  LIBS                   += $(ICONV_LIBS)
endif

X_LV2_OBJFILES          = $(OBJFILES)
X_LV2_LIBS              = $(LIBS) $(LV2_LIBS)
X_LV2_DEPS              =
ifeq ($(LV2_UI),1)
  X_LV2_DEPS             += $(OBJ_HELPERS)
  X_LV2_OBJFILES         += $(OBJ_HELPERS) $(UI_OBJFILES)
  X_LV2_LIBS             += $(UI_LIBS)
endif

X_VST_OBJFILES          = $(OBJFILES)
X_VST_LIBS              = $(LIBS)
ifeq ($(VST_UI),1)
  X_VST_OBJFILES         += $(UI_OBJFILES)
  X_VST_LIBS             += $(UI_LIBS)
endif

.DEFAULT_GOAL          := all
.PHONY: all

all: $(MODULES)

$(OBJ_HELPERS):
	@echo "  $(CXX) $(FILE)"
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(CAIRO_HEADERS)

$(LIB_LADSPA):
	@echo "  $(CXX) ladspa.cpp"
	$(CXX) -o $(OBJDIR)/ladspa.o -c ladspa.cpp -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) 
	@echo "  $(CXX) $(notdir $(LIB_LADSPA))"
	$(CXX) -o $(LIB_LADSPA) $(OBJDIR)/ladspa.o $(OBJFILES) $(SO_FLAGS) $(LIBS)

$(LIB_LV2): $(X_LV2_DEPS)
	@echo "  $(CXX) lv2.cpp"
	$(CXX) -o $(OBJDIR)/lv2.o -c lv2.cpp -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(CAIRO_HEADERS) $(LV2_HEADERS)
	@echo "  $(CXX) $(notdir $(LIB_LV2))"
	$(CXX) -o $(LIB_LV2) $(OBJDIR)/lv2.o $(X_LV2_OBJFILES) $(SO_FLAGS) $(X_LV2_LIBS)

$(LIB_VST):
	@echo "  $(CXX) vst.cpp"
	$(CXX) -o $(OBJDIR)/vst.o -c vst.cpp -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) 
	@echo "  $(CXX) $(notdir $(LIB_VST))"
	$(CXX) -o $(LIB_VST) $(OBJDIR)/vst.o $(X_VST_OBJFILES) $(SO_FLAGS) $(X_VST_LIBS) 

$(LIB_JACK): $(OBJ_HELPERS)
	@echo "  $(CXX) jack.cpp"
	$(CXX) -o $(OBJDIR)/jack.o -c jack.cpp -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(JACK_HEADERS) $(CAIRO_HEADERS)
	@echo "  $(CXX) $(notdir $(LIB_JACK))"
	$(CXX) -o $(LIB_JACK) $(OBJDIR)/jack.o $(OBJ_HELPERS) $(OBJFILES) $(UI_OBJFILES) $(SO_FLAGS) $(LIBS) $(UI_LIBS) $(JACK_LIBS)

$(BIN_PROFILE): $(LIB_JACK)
	@echo "  $(CXX) profile.cpp"
	$(CXX) -o $(OBJDIR)/profile.o -c profile.cpp -fPIC $(CPPFLAGS) -DLSP_PROFILING_MAIN $(CXXFLAGS) $(INCLUDE) $(JACK_HEADERS) 
	@echo "  $(CXX) $(notdir $(BIN_PROFILE))"
	$(CXX) -o $(BIN_PROFILE) $(OBJDIR)/jack.o $(OBJDIR)/profile.o $(OBJ_HELPERS) $(OBJFILES) $(UI_OBJFILES) $(EXE_FLAGS) $(LIBS) $(UI_LIBS) $(JACK_LIBS) 

$(BIN_TEST): $(LIB_JACK)
	@echo "  $(CXX) test.cpp"
	$(CXX) -o $(OBJDIR)/test.o -c test.cpp -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(JACK_HEADERS) 
	@echo "  $(CXX) $(notdir $(BIN_TEST))"
	$(CXX) -o $(BIN_TEST) $(OBJDIR)/jack.o $(OBJDIR)/test.o $(OBJ_HELPERS) $(OBJFILES) $(UI_OBJFILES) $(EXE_TEST_FLAGS) $(LIBS) $(UI_LIBS) $(JACK_LIBS) $(OPENGL_LIBS) $(DL_LIBS)

=== src/core/Makefile ===
# Command-line flag to silence nested $(MAKE).
MAKE_OPTS              += VERBOSE=$(VERBOSE)
ifneq ($(VERBOSE),1)
.SILENT:
endif

rwildcard				= $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2) $(filter $(subst *,%,$2),$d))
FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(call rwildcard, , *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)
INCLUDE                += $(SNDFILE_HEADERS)
LIBS                    = $(PTHREAD_LIBS)

.DEFAULT_GOAL          := all
.PHONY: all

all: $(OBJ_CORE)

$(FILES):
	@echo "  $(CXX) $(FILE)"
	mkdir -p $(dir $@)
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(LIBS) $(INCLUDE) 

$(OBJ_CORE): $(FILES)
	@echo "  $(LD) $(notdir $(OBJ_CORE))"
	$(LD) -o $(OBJ_CORE) -r $(MERGE_FLAGS) $(FILES)

=== src/doc/Makefile ===
# Command-line flag to silence nested $(MAKE).
MAKE_OPTS              += VERBOSE=$(VERBOSE)
ifneq ($(VERBOSE),1)
.SILENT:
endif

PHPDIR      = $(BUILDDIR)/src/doc
HTMLDIR     = $(BUILDDIR)/html

.DEFAULT_GOAL          := all
.PHONY: all target

target: all

# Common rules
$(PHPDIR)/Makefile:
	@echo "Preparing PHP documentation generator"
	mkdir -p $(PHPDIR)
	mkdir -p $(HTMLDIR)
	cp -rf * $(PHPDIR)/
	cp -r $(addprefix $(ROOTDIR)/, $(RELEASE_TEXT)) $(PHPDIR)/
	cp -rf $(RESDIR)/doc/* $(HTMLDIR)/
	cp -f $(PHP_PLUGINS) $(PHPDIR)/config/plugins.php
	$(PHP) -f makefile.php $(PHPDIR) >$(PHPDIR)/Makefile

all: $(PHPDIR)/Makefile
	@echo "Generating HTML documentation"
	$(MAKE) $(MAKE_OPTS) -C $(PHPDIR)

=== src/dsp/Makefile ===
# Command-line flag to silence nested $(MAKE).
MAKE_OPTS              += VERBOSE=$(VERBOSE)
ifneq ($(VERBOSE),1)
.SILENT:
endif

NATIVE_IMPL             = $(OBJDIR)/native.o

X86_IMPL                = $(OBJDIR)/x86.o
SSE_IMPL                = $(OBJDIR)/sse.o
SSE2_IMPL               = $(OBJDIR)/sse2.o
SSE3_IMPL               = $(OBJDIR)/sse3.o
SSE4_IMPL               = $(OBJDIR)/sse4.o
AVX_IMPL                = $(OBJDIR)/avx.o
AVX2_IMPL               = $(OBJDIR)/avx2.o
NEON_D32_IMPL           = $(OBJDIR)/neon-d32.o
DSP_IMPL                = $(OBJDIR)/dsp.o
BITS_IMPL               = $(OBJDIR)/bits.o
ARM_IMPL                = $(OBJDIR)/arm.o
AARCH64_IMPL            = $(OBJDIR)/aarch64.o
ASIMD_IMPL              = $(OBJDIR)/asimd.o

SSE_INSTR_SET           = -mmmx -m3dnow -msse
SSE2_INSTR_SET          = $(SSE_INSTR_SET) -msse2
SSE3_INSTR_SET          = $(SSE2_INSTR_SET) -msse3 -mssse3
SSE4_INSTR_SET          = $(SSE3_INSTR_SET) -msse4.1 -msse4.2
AVX_INSTR_SET           = -mavx -mvzeroupper
AVX2_INSTR_SET          = $(AVX_INSTR_SET) -mavx2
NEON_D32_INSTR_SET      = -mfpu=neon-vfpv4
ASIMD_INSTR_SET      	= -march=armv8-a+simd

FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)
LINK_OBJECTS            = $(DSP_IMPL) $(BITS_IMPL) $(NATIVE_IMPL)

# Build different DSP modules dependent on architecture
ifeq ($(BUILD_PROFILE), i586)
LINK_OBJECTS           += $(X86_IMPL) $(SSE_IMPL) $(SSE2_IMPL) $(SSE3_IMPL) $(SSE4_IMPL) $(AVX_IMPL) $(AVX2_IMPL)
endif
ifeq ($(BUILD_PROFILE), x86_64)
LINK_OBJECTS           += $(X86_IMPL) $(SSE_IMPL) $(SSE2_IMPL) $(SSE3_IMPL) $(SSE4_IMPL) $(AVX_IMPL) $(AVX2_IMPL)
endif
ifeq ($(BUILD_PLATFORM), BSD)
  ifeq ($(BUILD_PROFILE), arm)
    LINK_OBJECTS           += $(ARM_IMPL) $(NEON_D32_IMPL)
  endif
endif
ifeq ($(BUILD_PROFILE), armv7a)
LINK_OBJECTS           += $(ARM_IMPL) $(NEON_D32_IMPL)
endif
ifeq ($(BUILD_PROFILE), armv7ve)
LINK_OBJECTS           += $(ARM_IMPL) $(NEON_D32_IMPL)
endif
ifeq ($(BUILD_PROFILE), armv8a)
LINK_OBJECTS           += $(ARM_IMPL) $(NEON_D32_IMPL)
endif
ifeq ($(BUILD_PROFILE), arm32)
LINK_OBJECTS           += $(ARM_IMPL) $(NEON_D32_IMPL)
endif
ifeq ($(BUILD_PROFILE), aarch64)
LINK_OBJECTS           += $(AARCH64_IMPL) $(ASIMD_IMPL)
endif

.DEFAULT_GOAL          := all
.PHONY: all target

target: all

all: $(OBJ_DSP)

$(OBJ_DSP): $(LINK_OBJECTS)
	@echo "  $(LD) $(notdir $(OBJ_DSP))"
	$(LD) -o $(OBJ_DSP) -r $(MERGE_FLAGS) $(LINK_OBJECTS)

$(DSP_IMPL) $(BITS_IMPL) $(NATIVE_IMPL) $(X86_IMPL) $(ARM_IMPL) $(AARCH64_IMPL):
	@echo "  $(CXX) $(FILE)"
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) 
	
$(SSE_IMPL):
	@echo "  $(CXX) $(FILE)"
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(SSE_INSTR_SET) $(INCLUDE)
	
$(SSE2_IMPL):
	@echo "  $(CXX) $(FILE)"
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(SSE2_INSTR_SET) $(INCLUDE)
	
$(SSE3_IMPL):
	@echo "  $(CXX) $(FILE)"
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(SSE3_INSTR_SET) $(INCLUDE)
	
$(SSE4_IMPL):
	@echo "  $(CXX) $(FILE)"
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(SSE4_INSTR_SET) $(INCLUDE)

$(AVX_IMPL):
	@echo "  $(CXX) $(FILE)"
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(AVX_INSTR_SET) $(INCLUDE)

$(AVX2_IMPL):
	@echo "  $(CXX) $(FILE)"
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(AVX2_INSTR_SET) $(INCLUDE)
	
$(NEON_D32_IMPL):
	@echo "  $(CXX) $(FILE)"
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(NEON_D32_INSTR_SET) $(INCLUDE)
	
$(ASIMD_IMPL):
	@echo "  $(CXX) $(FILE)"
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(ASIMD_INSTR_SET) $(INCLUDE)

=== src/metadata/Makefile ===
# Command-line flag to silence nested $(MAKE).
MAKE_OPTS              += VERBOSE=$(VERBOSE)
ifneq ($(VERBOSE),1)
.SILENT:
endif

rwildcard               = $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2) $(filter $(subst *,%,$2),$d))
FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(wildcard *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)

.PHONY: all target

all: $(OBJ_METADATA)

target: all

$(OBJ_METADATA): $(FILES)
	@echo "  $(LD) $(notdir $(OBJ_METADATA))"
	$(LD) -o $(OBJ_METADATA) -r $(MERGE_FLAGS) $(FILES) 

$(FILES):
	@echo "  $(CXX) $(FILE)"
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE)

=== src/plugins/Makefile ===
# Command-line flag to silence nested $(MAKE).
MAKE_OPTS              += VERBOSE=$(VERBOSE)
ifneq ($(VERBOSE),1)
.SILENT:
endif

rwildcard               = $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2) $(filter $(subst *,%,$2),$d))
FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(wildcard *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)

.PHONY: all files subdirs $(SUBDIRS)

all:  $(OBJ_PLUGINS)

$(OBJ_PLUGINS): $(FILES) $(SUBDIRS)
	@echo "  $(LD) $(notdir $(OBJ_PLUGINS))"
	$(LD) -o $(OBJ_PLUGINS) -r $(MERGE_FLAGS) $(FILES) 

$(FILES):
	@echo "  $(CXX) $(FILE)"
	$(CXX) -o $(@) -c -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(FILE)

=== src/rendering/Makefile ===
# Command-line flag to silence nested $(MAKE).
MAKE_OPTS              += VERBOSE=$(VERBOSE)
ifneq ($(VERBOSE),1)
.SILENT:
endif

BASE_IMPL             	= $(OBJDIR)/base_backend.o

GLX_IMPL                = $(OBJDIR)/glx/backend.o $(OBJDIR)/glx/factory.o
GLX_LIBS				= $(OPENGL_LIBS)
GLX_HEADERS				= $(OPENGL_HEADERS)

FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)

MODULES                 = 

ifeq ($(findstring glx,$(BUILD_R3D_BACKENDS)),glx)
  MODULES                += $(LIB_R3D_GLX)
endif

.PHONY: all target

target: all

all: $(MODULES)

$(LIB_R3D_GLX): $(BASE_IMPL) $(GLX_IMPL)
	@echo "  $(CXX) $(notdir $(LIB_R3D_GLX))"
	$(CXX) -o $(LIB_R3D_GLX) $(BASE_IMPL) $(GLX_IMPL) $(SO_FLAGS) $(XLIB_LIBS) $(OPENGL_LIBS)

$(BASE_IMPL):
	@echo "  $(CXX) $(FILE)"
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE)
	
$(GLX_IMPL):
	@echo "  $(CXX) $(FILE)"
	mkdir -p $(dir $(@))
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(XLIB_HEADERS) $(OPENGL_HEADERS)

=== src/test/Makefile ===
# Command-line flag to silence nested $(MAKE).
MAKE_OPTS              += VERBOSE=$(VERBOSE)
ifneq ($(VERBOSE),1)
.SILENT:
endif

rwildcard				= $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2) $(filter $(subst *,%,$2),$d))
FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(call rwildcard, , *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)

.PHONY: all

all: $(OBJ_TEST_CORE)

$(FILES):
	@echo "  $(CXX) $(FILE)"
	mkdir -p $(dir $@)
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(OPENGL_HEADERS) 

$(OBJ_TEST_CORE): $(FILES)
	@echo "  $(LD) $(notdir $(OBJ_TEST_CORE))"
	$(LD) -o $(OBJ_TEST_CORE) -r $(MERGE_FLAGS) $(FILES)

=== src/testing/Makefile ===
# Command-line flag to silence nested $(MAKE).
MAKE_OPTS              += VERBOSE=$(VERBOSE)
ifneq ($(VERBOSE),1)
.SILENT:
endif

rwildcard				= $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2) $(filter $(subst *,%,$2),$d))
FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(call rwildcard, , *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)

.PHONY: all

all: $(OBJ_TESTING_CORE)

$(FILES):
	@echo "  $(CXX) $(FILE)"
	mkdir -p $(dir $@)
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE) $(OPENGL_HEADERS) 

$(OBJ_TESTING_CORE): $(FILES)
	@echo "  $(LD) $(notdir $(OBJ_TESTING_CORE))"
	$(LD) -o $(OBJ_TESTING_CORE) -r $(MERGE_FLAGS) $(FILES)

=== src/ui/Makefile ===
# Command-line flag to silence nested $(MAKE).
MAKE_OPTS              += VERBOSE=$(VERBOSE)
ifneq ($(VERBOSE),1)
.SILENT:
endif

FILES                   = $(addprefix $(OBJDIR)/, $(patsubst %.cpp, %.o, $(wildcard *.cpp)))
FILE                    = $(@:$(OBJDIR)/%.o=%.cpp)
SUBDIRS					= ws tk ctl plugins
INCLUDE                += $(CAIRO_HEADERS) $(XLIB_HEADERS)
PACKAGES                = $(OBJ_WS_CORE) $(OBJ_TK_CORE) $(OBJ_CTL_CORE)

.PHONY: all $(SUBDIRS)

$(SUBDIRS):
	@echo "Building $@"
	mkdir -p $(OBJDIR)/$(@)
	$(MAKE) $(MAKE_OPTS) -C $@ $(MAKECMDGOALS) OBJDIR=$(OBJDIR)/$(@)

$(FILES):
	@echo "  $(CXX) $(FILE)"
	$(CXX) -o $(@) -c $(FILE) -fPIC $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE)

$(OBJ_UI_CORE): $(FILES) $(SUBDIRS)
	@echo "  $(LD) $(notdir $(@))"
	$(LD) -o $(OBJ_UI_CORE) $(OBJ_PLUGIN_UIS) $(MERGE_FLAGS) $(PACKAGES) $(FILES)

all: $(OBJ_UI_CORE)

=== debian/changelog ===
lsp-plugins (1.1.31-1ubuntu1) jammy; urgency=medium

  * export VERBOSE=1 in debian/rules; opaque build systems in build logs are
    evil.
  * debian/patches/use-fp-for-arm.patch: use the correct machine target
    for armhf builds.  Closes: #1003904.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Mar 2022 12:57:38 -0800

lsp-plugins (1.1.31-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve cross building: Use the host arch ld and pkg-config.
    (Closes: #1000305)

  [ Dennis Braun ]
  * New upstream version 1.1.31
  * Update lintian-overrides
  * Update d/lsp-plugins-vst.links

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 27 Dec 2021 22:30:32 +0100

=== debian/control ===
Source: lsp-plugins
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 ladspa-sdk,
 libexpat1-dev,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libjack-jackd2-dev,
 lv2-dev,
 php-cli,
 libcairo2-dev,
 libsndfile1-dev
Standards-Version: 4.6.0.1
Homepage: https://lsp-plug.in/
Vcs-Browser: https://salsa.debian.org/multimedia-team/lsp-plugins
Vcs-Git: https://salsa.debian.org/multimedia-team/lsp-plugins.git
Rules-Requires-Root: no

Package: lsp-plugins
Section: metapackages
Architecture: any
Depends:
 lsp-plugins-ladspa,
 lsp-plugins-lv2,
 lsp-plugins-vst,
 lsp-plugins-jack,
 ${misc:Depends},
Suggests:
 dgedit
Description: LSP (Linux Studio Plugins) audio-plugins (metapackage)
 Linux Studio Plugins (LSP) provides a collection of audio effects,
 synthesizers, and a selection of audio tools for music and sound
 production. It provides standalone Jack clients and integrates
 into the LV2, LADSPA and VST plugin frameworks.
 .
 LSP provides the following plugins:
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This metapackage installs plugins for all supported frameworks and the Jack
 standalone clients.

Package: lsp-plugins-jack
Architecture: any
Depends: lsp-plugins-r3d-glx (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: LSP (Linux Studio Plugins) audio-plugins (standalone Jack clients)
 Linux Studio Plugins (LSP) provides a collection of audio effects,
 synthesizers, and a selection of audio tools for music and sound
 production. It provides standalone Jack clients and integrates
 into the LV2, LADSPA and VST plugin frameworks.
 .
 LSP provides the following plugins:
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provides the standalone Jack clients.
 
Package: lsp-plugins-r3d-glx
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: lsp-plugins-jack (<< 1.1.30-1~)
Replaces: lsp-plugins-jack (<< 1.1.30-1~)
Description: LSP (Linux Studio Plugins) r3d-glx library
 Linux Studio Plugins (LSP) provides a collection of audio effects,
 synthesizers, and a selection of audio tools for music and sound
 production. It provides standalone Jack clients and integrates
 into the LV2, LADSPA and VST plugin frameworks.
 .
 LSP provides the following plugins:
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provides the LSP r3d-glx library.

Package: lsp-plugins-ladspa
Architecture: any
Provides: ladspa-plugin
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: LSP (Linux Studio Plugins) audio-plugins (ladspa plugins)
 Linux Studio Plugins (LSP) provides a collection of audio effects,
 synthesizers, and a selection of audio tools for music and sound
 production. It provides standalone Jack clients and integrates
 into the LV2, LADSPA and VST plugin frameworks.
 .
 LSP provides the following plugins:
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provies the ladspa plugins.

Package: lsp-plugins-lv2
Architecture: any
Provides: lv2-plugin
Depends: lsp-plugins-r3d-glx (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: LSP (Linux Studio Plugins) audio-plugins (LV2 plugins)
 Linux Studio Plugins (LSP) provides a collection of audio effects,
 synthesizers, and a selection of audio tools for music and sound
 production. It provides standalone Jack clients and integrates
 into the LV2, LADSPA and VST plugin frameworks.
 .
 LSP provides the following plugins:
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provides the LV2 plugins.

Package: lsp-plugins-vst
Architecture: any
Depends: lsp-plugins-r3d-glx (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: LSP (Linux Studio Plugins) audio-plugins (VST plugins)
 Linux Studio Plugins (LSP) provides a collection of audio effects,
 synthesizers, and a selection of audio tools for music and sound
 production. It provides standalone Jack clients and integrates
 into the LV2, LADSPA and VST plugin frameworks.
 .
 LSP provides the following plugins:
 .
 Audio effects: limiters, dynamic processors, expanders, gates,
 graphic equalisers, impulse responses, impulse reverbs, compressors,
 multiband compressors, parametric equalisers, phase detector,
 sidechain multiband compressors, sidechain limiters,
 sidechain dynamic processors, sidechain expanders, sidechain gates,
 sidechain compressors, slapback delays, delay compensators, triggers.
 .
 Synths: samplers, and multisamplers.
 .
 Tools: latency meters, oscillators, profiler, spectrum analyzers,
 and MIDI triggers
 .
 This package provides the VST plugins.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
export VERBOSE=1

include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk
ifeq ($(DEB_HOST_ARCH),amd64)
	export BUILD_PROFILE=x86_64
endif
ifeq ($(DEB_HOST_ARCH),i386)
	export BUILD_PROFILE=i586
endif
ifeq ($(DEB_HOST_ARCH),arm64)
	export BUILD_PROFILE=aarch64
endif
ifeq ($(DEB_HOST_ARCH),armel)
	export BUILD_PROFILE=armv7a
endif
ifeq ($(DEB_HOST_ARCH),armhf)
	export BUILD_PROFILE=armv7a
endif
export LD ?= ld

%:
	dh $@

override_dh_auto_test:
	# the test suite requires build options incompatible with what we
	# ship in the package, so disable until upstream resolves this

override_dh_auto_install:
	dh_auto_install
	$(MAKE) install_xdg DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr
	# Documentation contains privacy-invading IFRAMEs in HTML code
	# which generates Lintian warnings. HTML documentation is
	# therefore removed, and documentation is linked at
	# https://lsp-plug.in/?page=manuals
	rm -r debian/tmp/usr/share/doc/lsp-plugins

=== debian/tests/control ===
Tests: help
Depends: @
Restrictions: superficial
